Bug 1279110 - New shell user has neither .bash_profile nor .bashrc [NEEDINFO]
New shell user has neither .bash_profile nor .bashrc
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-07 17:50 EST by Assen Totin
Modified: 2016-02-09 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-09 17:48:38 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dshea: needinfo? (assen)


Attachments (Terms of Use)

  None (edit)
Description Assen Totin 2015-11-07 17:50:03 EST
Description of problem:
When a shell user is created by Anaconda during setup, it has neither .bashrc nor .bash_profile installed. 

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1. Install Fedora using Anaconda.
2. Create a shell user during installation.
3. Log in with the user (or, if using GUI, open terminal). 

Actual results:
Neither .bash_profile nor .bashrc file is present in user's home directory.

Expected results:
Both .bash_profile and .bashrc should be present.

Additional info:
It is not difficult to install just a simple .bash_profile and .bashrc like Anaconda does for the root user. Without them, even the shell prompt is ugly and uninformative.
Comment 1 David Shea 2016-01-08 14:52:15 EST
Sorry for the delay in responding. What options are you using to create the user? Can you post the logs from the installation? They are available in /tmp during the install, and copied to /var/log/anaconda on the installed system.
Comment 2 David Shea 2016-02-09 17:48:38 EST
Anaconda, via useradd, installs everything in /etc/skel to the new user's home directory, so without logs to the contrary this appears to work fine.

Note You need to log in before you can comment on or make changes to this bug.